#!/usr/bin/env python
# -*- coding:utf-8 -*-

########################################################################
# Fichier losange.py                                                   #
# (C) Alexandre Casamayou-Boucau, Pascal Chauvin, Guillaume Connan     #
#                                                                      #
# Complément de l'ouvrage:                                             #
# Programmation en Python pour les mathématiques                       #
# Editeur: Dunod                    -         Collection: Sciences Sup #
# ISBN-10: 2100574221               -          ISBN-13: 978-2100574223 #
#                                   -                                  #
# Version du 18/01/2012             -                   Licence: GPLv2 #
########################################################################

from quadrilatere import *

class losange(quadrilatere):
	"""losange"""

	def __init__(self, a =0):
		quadrilatere.__init__(self, a, a, a, a)
		self.type = "losange"
	
	def perimetre(self):
		return self.a*4

if __name__ == "__main__":
	l = losange(5)
	print l
	print l.perimetre()
